%def_with yaz

%define Name KBib
Name: kbib
Version: 0.6.5
Release: alt1
Summary: A bibliography manager for KDE
License: %gpl2plus
Group: Publishing
URL: http://users.tpg.com.au/thachly/%name
Source: %url/%name-%version.tar
Patch: %name-%version-%release.patch
Packager: Led <led@altlinux.ru>

BuildRequires(pre): rpm-build-licenses
# Automatically added by buildreq on Sat Jun 28 2008
BuildRequires: gcc-c++ imake kdelibs-devel libXt-devel libdnet-devel
BuildRequires: libjpeg-devel libpoppler-qt-devel libxslt-devel libyaz-devel
BuildRequires: xml-utils xorg-cf-files desktop-file-utils
%{?_with_yaz:BuildRequires: libyaz-devel >= 3.0}

%description
%Name is a bibliography manager for KDE. It uses BibTex as its native
file format.


%prep
%setup
%patch -p1
sed -i \
    -e '/^Exec=/s/ %%m//' \
    -e '/^Exec=/s/$/ %%f/' \
    -e '/^MimeType=/s/[^;]$/&;/' \
    -e '/^Path=/d' \
    -e '/^Terminal=/s/=0/=false/' \
    -e '/^TerminalOptions=/d' \
    %name/%name.desktop
iconv -f cp1251 -t utf-8 >> %name/%name.desktop <<__MENU__
Categories=Qt;KDE;Office;Publishing;
Comment[ru]= 
Comment[uk]= 
__MENU__


%build
%configure
%make_build


%install
%make_install DESTDIR=%buildroot install
install -d -m 0755 %buildroot%_desktopdir
mv %buildroot{%_datadir/applnk/Office/%name.desktop,%_desktopdir/}
%find_lang %name


%post
%update_menus
%update_desktopdb


%postun
%clean_menus
%clean_desktopdb


%files -f %name.lang
%doc AUTHORS ChangeLog TODO
%_bindir/%name
%_desktopdir/*
%_datadir/apps/%name
%_datadir/mimelnk/*/*
%_iconsdir/*/*/apps/*


%changelog
* Thu Nov 20 2008 Led <led@altlinux.ru> 0.6.5-alt1
- 0.6.5

* Sun Oct 26 2008 Led <led@altlinux.ru> 0.6.4-alt3
- fixed build with g++ 4.3

* Sat Aug 09 2008 Led <led@altlinux.ru> 0.6.4-alt2
- fixed %name.desktop

* Sat Jun 28 2008 Led <led@altlinux.ru> 0.6.4-alt1
- initial build
